package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 签到表
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 15:21:05
 */
@Data
@TableName("sign")
public class SignEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 签到id
	 */
	@TableId
	private Long id;
	/**
	 * 会议id
	 */
	private Long meetingId;
	/**
	 * 签到人id
	 */
	private Long attenderId;
	/**
	 * 签到状态
	 */
	private Integer status;
	/**
	 * 签到地点(主会场/分会场)
	 */
	private Long branchId;
	/**
	 * 是否完成胸卡打印
	 */
	private Integer badge;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 最后签到时间
	 */
	private Date lastTime;
	/**
	 * flag
	 */
	private Long flag;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;

}
