package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.TypesOfAttendersEntity;

import java.util.List;
import java.util.Map;

/**
 * 参会人员类型表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-24 10:37:48
 */
public interface TypesOfAttendersService extends IService<TypesOfAttendersEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void delete(Long[] ids);

    List<TypesOfAttendersEntity> findAllByType (String name);


    /**
     * 根据meetingId 和 name 进行查询  数据库里是否存在该条数据
     * @param name
     * @param meetingId
     * @return
     */
    int selectIsnameAndId(String name,Long meetingId);
}

