package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-21 15:10:27
 */
@Data
@TableName("attenders")
public class AttendersEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 参会人员id
	 */
	@TableId
	private Long id;
	/**
	 * 会议id
	 */
	private Long meetingId;
	/**
	 * 会员id
	 */
	private Long memberId;
	/**
	 * 姓名
	 */
	private String name;
	/**
	 * 所属机构(单位名称、公司名称)
	 */
	private String organization;
	/**
	 * 职位
	 */
	private Long positionId;
	/**
	 * 职称
	 */
	private Long jobTitle;
	/**
	 * 电话
	 */
	private String phone;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 办公电话
	 */
	private String officephone;
	/**
	 * 参会人员类型id
	 */
	private Long typeId;
	/**
	 * 参会意向
	 */
	private Integer intention;
	/**
	 * 住宿要求
	 */
	private Integer room;
	/**
	 * 接送要求
	 */
	private Integer transfer;
	/**
	 * 负责人（员工id）
	 */
	private Long servicer;
	/**
	 * 备注
	 */
	private String note;
	/**
	 * 联系电话
	 */
	private Integer account;
	/**
	 * 联系邮箱
	 */
	private String emailLx;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改时间
	 */
	private Date modifyTime;
	/**
	 * 创建者
	 */
	private Long creater;
	/**
	 * 修改者
	 */
	private Long modifier;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;
}
