package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 14:51:30
 */
@Data
@TableName("money_account")
public class MoneyAccountEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 收款账户信息id
	 */
	@TableId
	private Long id;
	/**
	 * 会议id
	 */
	private Long meetingId;
	/**
	 * 账号名称
	 */
	private String name;
	/**
	 * 开户银行
	 */
	private String bank;
	/**
	 * 账号
	 */
	private String account;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;

}
