package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.MeetingEntity;

import java.util.Map;

/**
 * 会议表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-20 14:59:39
 */
public interface MeetingService extends IService<MeetingEntity> {

	PageUtils queryPage(Map<String, Object> params);
	
		/**
	 * 	带单位分页
	 */
	PageUtils queryList(int page, int limit, String key);

    /**
	 * 删除用户(逻辑删除)
	 */
	void delete(Long[] ids);

	/**
	 * 更新审核状态
	 * @param id
	 * @param isCheck
	 */
    int updateStatus(Long id, Integer isCheck);
}

